%define upstream_name    Meta-Builder
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Utility functions for Meta::Builder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Meta/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Fennec::Lite)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Meta programming is becomming more and more popular. The popularity of Meta
programming comes from the fact that many problems are made significantly
easier. There are a few specialized Meta tools out there, for instance the
Class:MOP manpage which is used by the Moose manpage to track class
metadata.

Meta::Builder is designed to be a generic tool for writing Meta objects.
Unlike specialized tools, Meta::Builder makes no assumptions about what
metrics you will care about. Meta::Builder also mkaes it simple for others
to extend your meta-object based tools by providing hooks for other
packages to add metrics to your meta object.

If a specialized Meta object tool is available ot meet your needs please
use it. However if you need a simple Meta object to track a couple metrics,
use Meta::Builder.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 512969
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 369697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - adding missing buildrequires:
    - imported package perl-Meta-Builder


* Sat Aug 20 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
